Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

JBuilder Java Discussion :

déclarer une nouvelle version de Tomcat


Sujet :

JBuilder Java

  1. #1
    Membre du Club
    déclarer une nouvelle version de Tomcat
    ma question peut faire rire... mais pardonnez moi..

    je voudrais utiliser la version 5 de Tomcat à la place de la 4 qui est actuellement utilisée... mais je n'ai pas trouvé le moyen pour déclarer ma nouvelle version....

    j'utilise la version 7 de jbuilder

    merci beaucoup

  2. #2
    Membre éprouvé
    tu a essayé Tool->configure servers ???
    tu fais un copie de la version 4
    tu la renome et tu indique le chemin de tomcat 5 comme pour tomcat 4
    mais il n'est pas dis que cela fonctionne car la version de tomcat qu'utilise jbuilder est version spécifique pour jbuilder.
    d'ailleur si tu regarde le fichier jar utiliser pour starter tomcat avec jbuilder il ya de grande chande que tu ne le retrouve pas dans la version telecharger sur le site de tomcat
    Ne pas savoir n’est pas une faute si l’on cherche à combler ses lacunes.

    "Il n'y a pas d'obstacles infranchissables , il y a des volontés plus ou moins énergiques voilà tous" Jules Vernes

  3. #3
    Membre éprouvé
    mais il n'est pas dis que cela fonctionne car la version de tomcat qu'utilise jbuilder est version spécifique pour jbuilder.
    d'ailleur si tu regarde le fichier jar utiliser pour starter tomcat avec jbuilder il ya de grande chande que tu ne le retrouve pas dans la version telecharger sur le site de tomcat
    j'ai l'impression d'avoir dit une grosse bétise
    Ne pas savoir n’est pas une faute si l’on cherche à combler ses lacunes.

    "Il n'y a pas d'obstacles infranchissables , il y a des volontés plus ou moins énergiques voilà tous" Jules Vernes

  4. #4
    Membre du Club
    je suis étonné ce que vous dites

  5. #5
    Membre éprouvé
    En ce qui concerne la version de Tomcat livrée avec JBuilder et surtout BES, en effet, elle comporte quelques modifications.

    Elle inntègre entre autre un connecteur apache -> tomcat propre à borland qui permet de communiquer via Corba et non par mod_jk.

    En ce qui concerne le changement, je ne saurais pas te répondre, je ne me suis jamais amusé à essayer de le changer mais je sais que certain en on changer le compilateur ( jasper ) donc, celà doit être possible.
    Clic me...
    CV en ligne

    Il y a 10 types de personnes, celui qui connait le binaire, et l'autre...

    Pas de réponse en MP...Merci

  6. #6
    Membre du Club
    merci pour votre réponse

  7. #7
    Membre éprouvé
    changer le compilateur ( jasper )
    Je vient de paramétrer tomcat 5 comme serveur de projet dans jbuilder
    Project->Project Properties->server
    Le message d’erreur que j’obtient dans jbuilder :
    Code :Sélectionner tout -Visualiser dans une fenêtre à part
    "jsp1.jsp": Exception in thread "main" java.lang.NoClassDefFoundError: org/apache/jasper/JspC
    Ne pas savoir n’est pas une faute si l’on cherche à combler ses lacunes.

    "Il n'y a pas d'obstacles infranchissables , il y a des volontés plus ou moins énergiques voilà tous" Jules Vernes

  8. #8
    Membre du Club
    Je n'arrive même pas à faire la manif... Jbuilder ne me donne aucun moyen pour rajouter la nouvelle version à celles qu'il propose dans la liste (tomcat 3 et 4)

  9. #9
    Membre éprouvé
    c’est une version enterprise ????
    Ne pas savoir n’est pas une faute si l’on cherche à combler ses lacunes.

    "Il n'y a pas d'obstacles infranchissables , il y a des volontés plus ou moins énergiques voilà tous" Jules Vernes

  10. #10
    Membre éprouvé
    en tous cas la configuration existe pour jbuilderX sans bidouillage
    http://bdn.borland.com/article/0,141...,32375,00.html
    Ne pas savoir n’est pas une faute si l’on cherche à combler ses lacunes.

    "Il n'y a pas d'obstacles infranchissables , il y a des volontés plus ou moins énergiques voilà tous" Jules Vernes